#include<bits/stdc++.h>
using namespace std;

int n,pt;
int a[10007],cnt;
long long ans;

int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>n;
    a[0]=1;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    pt=0;
    for(int i=1;i<=n;i++){
        if(a[i-1]%2==0)cnt--;

        while(pt<=n and cnt==0){
            pt++;
            if(a[pt]%2==0)cnt++;
        }
        if(cnt>0)ans+=n-pt+1;
    }
    cout<<ans<<"\n";

    return 0;
}

